Bug 1334672 - Beta-1.3 ppc64le ISO boot failure
Summary: Beta-1.3 ppc64le ISO boot failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 24
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F24PPCBeta
TreeView+ depends on / blocked
 
Reported: 2016-05-10 09:54 UTC by Éric Fintzel
Modified: 2016-06-14 08:40 UTC (History)
9 users (show)

Fixed In Version: grub2-2.02-0.34.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-14 08:40:31 UTC


Attachments (Terms of Use)
diff beta 1.2 and 1.3 (162.65 KB, patch)
2016-05-11 12:34 UTC, Ngo Than
no flags Details | Diff

Description Éric Fintzel 2016-05-10 09:54:41 UTC
Beta 1.3 ISO image for ppc64le retrieved at:
http://ppc.koji.fedoraproject.org/compose/24/Fedora-24-20160509.0/compose/Server/ppc64le/iso/

Checksum verified OK.

Tested with a VM.
The ISO does not boot, following messages are issued:

E3404: Not a bootable device!
Trying to load:  from: disk1 ... 
No DOS disk-label found.

Comment 1 Dan Horák 2016-05-10 14:13:22 UTC
at least for the Fedora-Server-netinst-ppc64le-24_Beta-1.3.iso these files are missing
> /images/netboot/TRANS.TBL
> /images/netboot/ppc64.img

and same for the full iso

Comment 2 Ngo Than 2016-05-11 12:28:52 UTC
i make a check of the grub modules in 1.3. It seems there'are a lot of changes in boot/grub/powerpc-ieee1275
i'm not sure if it could be a cause for this issue.

i will attach the diff beta 1.2 and 1.3 in next comment

Comment 3 Ngo Than 2016-05-11 12:34:05 UTC
Created attachment 1156129 [details]
diff beta 1.2 and 1.3

Comment 4 Ngo Than 2016-05-13 11:47:58 UTC
reassign to correct component

Comment 5 Ngo Than 2016-05-13 11:49:20 UTC
rebuild the same grub2 version in f23 buildroot fixes this issue

Comment 6 Fedora Update System 2016-06-09 20:18:33 UTC
grub2-2.02-0.33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 7 Ngo Than 2016-06-10 13:31:36 UTC
i tested the grub2-2.02-0.33.fc24.dh.1 with dan's fix and confirmed the fix.
no boot issue anymore after update and call grub2-install

Comment 8 Fedora Update System 2016-06-10 18:00:17 UTC
grub2-2.02-0.33.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 9 Fedora Update System 2016-06-10 19:24:27 UTC
grub2-2.02-0.33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 10 Fedora Update System 2016-06-11 11:51:16 UTC
grub2-2.02-0.34.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 11 Fedora Update System 2016-06-13 14:38:07 UTC
grub2-2.02-0.33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 12 Fedora Update System 2016-06-13 14:41:14 UTC
grub2-2.02-0.33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 13 Fedora Update System 2016-06-13 14:44:33 UTC
grub2-2.02-0.33.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 14 Fedora Update System 2016-06-13 15:58:21 UTC
grub2-2.02-0.33.fc24, grub2-2.02-0.34.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c4d43baacc

Comment 15 Fedora Update System 2016-06-14 08:39:57 UTC
grub2-2.02-0.34.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.